AutoCAD Inventor :: Get Dimensional Values Without Going To Edit Sketch?
Mar 19, 2012without going to edit sketch can i get dimensional values
View 3 Replieswithout going to edit sketch can i get dimensional values
View 3 RepliesI'm trying to contrain the end points of 2 lines using iLogic. I know the end points but I cannot get the values into the SketchPoint object. The real odd thing is I can create the lines no problem. I tried it 2 different ways shown below. The first way gives me this error..."Object reference not set to an instance of an object.". The second says "Unable to cast COM object.."
Dim oTG As TransientGeometry
oTG = ThisApplication.TransientGeometry
Dim EntityEndPt As SketchPoint
EndPtX = 0 * 2.54
EndPtY = 3 * 2.54
‘Code Fails Here!
EntityStartPt.Geometry.X = EndPtX
Someone has generated a frame from an unconstrained skeleton (all green lines). I can edit the 3D sketch by double clicking it but the 3D sketch tab doesn't come up. I can drag a vertex but it gives me the error message "drag geometry composite request cannot be run on document"
There doesn't seem to be any way of dimensioning or constraining or otherwise editing this geometry.I have two of these frames to deal with.
If I create circle and then mirror that cicle in the sketch. How can I then edit that mirror?
When I create pattern in sketch I can edit pattern afterward but cant figure how to edit mirror (except deleting constrains).
Is there way to do it?
Seen this recently? Using Inventor 2012 SP1 on Windows 7, 64 bit. If we go back into a previously created sketch and edit or add a dimension, upon clicking the green check mark to complete the dimension edit, the sketch exits back to the modelling environment, meaning we have to edit the sketch again to continue with other changes. Obviously no big deal if I'm only editing one dimension, but how often does that happen?
This started happening prior to SP1 being installed. We have this happening on multiple computers (all with the same hardware specs) in our office. I don't believe it to be a hardware or driver issue, but I am wondering if it is a process issue. For example, we use project geometry a lot, even projecting from other parts within an assembly (non-adaptively). We also work on SAT file models, rather than geometry initially created from Inventor itself.
Inventor 2013 Product Design Suite
Vault Professional 2013
Windows7 x64
Autodesk Inventor Certified Professional
I created an assembly of parts and then converted my assembly to a weldment. I then realized that I need to create a sketch and make an edit to my assembly. The sketch command is greyed out however. I did some trouble shooting and realized that once I converted it, it no longer allows me to make edits. Is there anyway I can get around this? do I now have to re-create the entire assembly to make this edit at the assembly level? If so this would really suck since it is a rather large assembly. I see saving as a new IAM doesn't work as well.
View 5 Replies View RelatedI have had several sheet metal parts return error messages to edit the sketch coordinate system after the part has been modified. This usually pertains to a dimensioning drawing made to the flat pattern. I have found how to edit the coordinate system, but I don't know what to edit it to. If I select the center point I can drag it from where it sits to an existing corner and select done but that seldom resolves the issue. What is Inventor looking for? I sometimes get a message asking if I want to edit the axis as well but what to do there.
Why can't these sketches orient off the center point that is already in the model? If it would stay put I could dimension to it and be done but it has to twist and turn the model and then put the point on some corner, not usually where I would like it and then I get these errors if I alter the model later.
"Path has discontinuous segments. Use Edit Sketch to change the path geometry"
View 5 Replies View RelatedTried to do something that all other 3D softwares seem to have no problem with, even inventor at least when we were using the old versions.
Editting sketch - close sketch. No model update.
This is an existing 3D model created with inv2011. inv2013 does not like much of what we created in the old releases of inv.
Sketch gives me 1 dimension. Part and drawing give the old dimension value.
This is yet another major sign of unstable software. Over 24 software issues discovered from changing inv2011 to inv2013.
I am trying to edit a sketch in a multi body part file. While I am trying to edit, it displays all other solid bodies which is not required. How to switch them off displaying unnecessary solid bodies while editing a sketch?
View 6 Replies View RelatedIf I zoom in on a small detail in a large sketch and then issue the "edit sketch" command Inventor changes the view to where the origin is visible on the screen. Is it possible to disable this?
View 2 Replies View RelatedIs there an option somewhere to stop Inventor automatically rotating the view when I create or edit a sketch?
View 2 Replies View RelatedWhat I would like to do is create a custom dialogue for each of 3 or 4 standard sketch symbols we use on a regular basis. I'd like to load 'suggsted' values out of an excel spreadsheet and allow the user to pick from them or enter in a custom text string if required. The values would then become part of the sketch symbol.
I've spent some time looking into iLogic rules and I think I've determined that they're not flexible enough to do what I want.
If I'm correct, it is possible (or a good idea) to do this using a VBA macro? I'm a little hesitant to go down the full blown add-in route. While I'm pretty confident I could work it out.
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
View 2 Replies View RelatedHow do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.
Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; }
First we imported an ".igs" file to inventor, which produced "wires". Then by promoting the wires it produced a 3-d sketch.
The model is in one plane and 2-D, and we are trying to use Ansys 2-D analysis, but in-order to do so it needs to be in a 2-D sketch.
The model is too large to be redrawn on a 2-D plane, how to convert it to a 2-D sketch
want to change sketch 2013 into the sketch of 2010
View 1 Replies View RelatedI want to edit some values in the data table of a shape file (*.shp) with AutoCAD Map 3d 2013. Every time I alter a value in data table it takes about 30 seconds until AutoCAD Map saves (?) the value. I have to wait 30 second until I can continue working. Why is this so slow?
The shape file has 7000 lines and is stored on a local drive.
I have only one user with this problem. He tries to edit an attribute block and when he selects one of the values and erases it the default value doesn't erase. He then has to enter some text and erase that and it works.
View 3 Replies View RelatedWhen I edit certain sketched some other sketches disappear. see attached.
This is causing modelling to slow down as I can not project lines from the sketch that has disappeared.
After I create a adaptive part from projected sketch. How to modify the sketch? Please see the part attached.
View 6 Replies View Relatedwhat is the difference between a sketch and a planar sketch?
View 2 Replies View RelatedI'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
View 2 Replies View RelatedI have an attribute blocks and this att block has two tag values , is there a simple code for to change 1st tag values automaticly according to 2nd values ?
for example :
1st tag (50x50) - 2nd tag ( 100 ) ==> 50x50-100
if i enter 201 valuse to 2nd tag then 1 st tag has to change as 100x100
if i enter 501 valuse to 2nd tag then 1 st tag has to change as 150x510
I attached a jpg file for explain much better
I am encountering issues with the "edit boundary" tab on the ribbon, as well as "finish sketch" when the edit boundary tab DOES show up. i don't know how to finish the sketch without this, so i have to undo everything.
View 1 Replies View Related have a problem with the display of my constraints
after i uncheck the "show all dynamic constraints"
all the dimensional constraints stay invisible even i re check the show all
i can find a way to turn the visibility of the dimensional constraint on
Product Design Suite 2013
Is there a way to have no layer value set for the description keys. I set all the layers, and now I realize I'd rather set this to no layers (boxes are all unchecked). I'd rather see no value under the layer column, but there doesn't seem like a way to set this.
View 1 Replies View Relatedpublic class DimConstraints{ [CommandMethod("Test")] public void Test() {
Database db = HostApplicationServices.WorkingDatabase;
using (Transaction trans = db.TransactionManager.StartTransaction()){
Circle circle = new Circle { Center = Point3d.Origin, Radius = 10 };
ObjectId modelId = SymbolUtilityServices.GetBlockModelSpaceId(db);
BlockTableRecord model = (BlockTableRecord)modelId.GetObject(OpenMode.ForWrite); model.AppendEntity(circle);
trans.AddNewlyCreatedDBObject(circle, true);
AssocUtil.CreateRadialDimConstraint(circle.ObjectId, circle.StartPoint, circle.StartPoint);
trans.Commit(); } }}
The above codes use the simplified .NET API for accessing AutoCAD parameters and constraints from: [URL] ....
The above codes can create a radial dimensional constraint. But the type of the dimensional constraint is annotational. How to change it to a dynamic constraint?
I was wondering if the 8.5 x 11 dimensions change at all when going through an inkjet printer, and if so, how much. I suspect this is not a significant issue with scale accuracy, but wanted to be sure.
View 3 Replies View RelatedHow to calculate the three-dimensional surface area of a revolved arch (such as attached file) by autocad 2007? such as an irregular dome.
Which software can do the job? Autocad or Matlab software or .....